--- title: "Adds a new authdomain" slug: "adds-a-new-authdomain" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/adds-a-new-authdomain" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Adds a new authdomain Post/api/v1/authdomains SecurityHTTPType bearer Body parameters The details for the new authdomain to be added object descriptionstring displayNamestring isDefaultboolean namestring orgIdstring Required protocolstring scopestring Responses201 Successfully added new authdomain Expand Allobject authorizationboolean data Array of object (AuthDomain) object attributesobject authURLstring clientIdstring clientSecretstring entityIdstring logoutURLstring signonURLstring tokenURLstring descriptionstring displayNamestring fStatestring isDefaultboolean namestring objectGUIDstring organizationobject idstring levelinteger namestring protocolstring redirectUristring scopestring timezonestring typestring whenChangedstring whenCreatedstring error_codeinteger error_messagestring error_statusboolean Examplefalse 400 Unable to add authdomain. Bad request body Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 409 Unable to add authdomain - Authdomain already exists Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error - Unable to add the Authdomain Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean